Skip to main content
POST
/
batch-calls
/
{batch_call_id}
/
schedule
Schedule Batch Call
curl --request POST \
  --url https://api.truedy.ai/api/public/v1/batch-calls/{batch_call_id}/schedule \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "scheduled_at": "2026-04-01T09:00:00Z",
  "timezone": "America/New_York"
}
'
{
  "data": {
    "id": "batch_c3d4e5f6",
    "status": "scheduled",
    "scheduled_at": "2026-04-06T09:00:00Z",
    "timezone": "America/New_York"
  },
  "meta": {
    "request_id": "req_32e7531c",
    "ts": "2026-04-05T10:22:00Z"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header: Bearer <your_api_key>

Path Parameters

batch_call_id
string
required

Batch call ID

Body

application/json
scheduled_at
string<date-time> | null

ISO 8601 datetime to start. Omit to start immediately.

Example:

"2026-04-01T09:00:00Z"

timezone
string

IANA timezone (e.g. America/New_York)

Example:

"America/New_York"

Response

Campaign scheduled